echo "Building @NAME@ (via Makefile)"
export MAKE_OBJDIR="$(pwd)/obj/@NAME@"
mkdir -p "${MAKE_OBJDIR}"

# @TODO@ pass in additional arguments here
make -C "src/@NAME@/" default \
    MAKE_OBJDIR="${MAKE_OBJDIR}" \
    CC="${CC}" \
    CFLAGS="${CFLAGS}"

if [ "$?" -eq 0 ]
then
    print_success "Done"
else
    print_failure "Make failed"
    exit 1
fi

# kate: @KATE_MODELINE@
# vim: syntax=sh:@VIM_MODELINE@
